2009-04-26 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: minimap generation for Nexuiz
	* q3map2: better progress indicators

2009-04-23 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: misc_model spawnflag 64 turns off normal smoothing
	* q3map2: improved output of vis

2009-04-21 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: more MAX_MAP_VISIBILITY

2009-04-15 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: new toolbar bitmaps by sev

2009-04-13 Rudolf Polzer divVerent(at)alientrap.org
	* all: fix some MSVC compile errors

2009-04-10 Rudolf Polzer divVerent(at)alientrap.org
	* all: add WarsowPack
	* q3map2: add alias _shadeangle to _smoothnormals
	* q3map2: fix crash in reading RBSP files

2009-04-09 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: fix font size handling

2009-04-08 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: force disable composition on Vista (should fix "white 3D window" issues)

2009-04-05 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: fix ViewSide command (no longer does the same as ViewTop)
	* q3map2: generate origin brushes when decompiling
	* q3map2: allow more portals per leaf, to help with -bsp -deep

2009-04-04 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: -bsp -deep also including detail brushes into the BSP tree at lowest priority, should give higher fps while increasing compile time and BSP size
	* q3map2: fix crash when decompiling to .map

2009-04-03 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: -vis -mergeportals speeding up vis a lot, while not making vis much worse

2009-04-02 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: portable radiant: when a subdir "settings" exists where radiant.exe resides, config is stored there so you can take it with you on a USB stick

2009-04-01 Rudolf Polzer divVerent(at)alientrap.org
	* all: compile fix on Win64

2009-03-31 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: merged feature -bsp -altsplit (27), alternate way to weight BSP splits, should give higher fps in original Q3 engine (needs testing)
	* q3map2: also compare shaders when comparing surfaces for sorting (27)
	* q3map2: misc_model spawnflag 32 copies vertex alpha from color, for terrain blending on models (27)

2009-03-29 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: _ls key shorthand for _lighmapscale (VorteX)
	* q3map2: -samplescale switch (VorteX)
	* q3map2: in dq and prophecy games, func_wall casts shadows by default (VorteX)
	* q3map2: some more prints (VorteX)
	* q3map2: q3map_floodlight <red> <green> <blue> <distance> <brightness> <power> shader keyword (VorteX)
	* q3map2: more MAX_TW_VERTS (VorteX)
	* q3map2: _patchMeta 1 entity keyword (VorteX)
	* q3map2: q3map_deprecateShader <newershader> shader keyword (VorteX)
	* q3map2: tangentspace deluxemaps (-deluxemode 1) (VorteX)
	* q3map2: _smoothnormals entity key to easier set shadeangle (VorteX)
	* q3map2: -keeplights switch in -light (VorteX)
	* q3map2: spawnflag 32 on light: unnormalized color (VorteX)
	* q3map2: spawnflag 64 on light: distance falloff (VorteX)
	* q3map2: option -gridscale, -gridambientscale (VorteX)

2009-03-27 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: fix a crash on "regroup entities"

2009-03-25 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: editable keyboard shortcuts

2009-03-23 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: avoid a crash if a surface is huge

2009-03-20 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: command line option -celshader
	* q3map2: let Q_mkdir create all parent directories too
	* q3map2: fix some crashes

2009-03-16 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: command line option -fs_homebase

2009-03-13 Rudolf Polzer divVerent(at)alientrap.org
	* all: support objs without material groups

2009-03-11 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: detect being installed inside Q2World

2009-03-08 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: indicate the direction of the clip plane in the 2D view

2009-03-11 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: detect being installed inside Nexuiz

2009-03-09 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: OS X compile fixes

2009-03-04 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: -global-Key Value and -gamename.game-Key Value options to set
	  config settings from the command line

2009-02-25 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: fix two bugs in tjunction fixing
	* q3map2: -lightmapdir option
	* q3map2: eliminate MAX_MAP_PLANES limit

2009-02-23 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: -scale -tex ("no texture lock while scaling")

2009-02-15 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: non-uniform -scale x y z

2009-02-10 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: remove LOTS of limits

2009-02-08 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: put the command line parameters into a worldspawn key
	  _q3map2_cmdline; currently not yet supported for -onlyents

2009-02-07 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: use gtk default font instead of defined ones for linux/windows
	  which could happen to be not installed (merged from uforadiant)

2009-02-06 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: OS X icon by airscout

2009-01-15 Rudolf Polzer divVerent(at)alientrap.org
	* all: more fixes for OS X

2009-01-14 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: use %f format for angles, prevents weird looking angles

2009-01-09 Rudolf Polzer divVerent(at)alientrap.org
	* all: lots of fixes for compiling on OS X

2009-01-07 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: handle ALL key binds properly using GDK methods

2009-01-03 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: fix the translation of entities used by mirroring or scaling

2009-01-02 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: command "regroup entities", allows moving brushes in/out of
	  entities

2009-01-01 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: "clone selection" no longer changes targetnames by default.
	  Hold shift while pressing space to do change them as before.
	* all: handle "origin" keys for brush entities (more consistency, should
	  break no maps)

2008-12-10 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: properly handle the [ and ] keys on german layout
	* q3map2: fix dotProduct2scale to match the documentation

2008-11-28 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: -dirty: don't treat skybox surfaces as solid for dirtmapping;
	  prevents Quake 2-ish "dark near skybox" effect.

2008-11-21 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: applied win32 font and build fix by ingar

2008-11-20 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: extend some more limits but just by a bit this time to not
	  let memory usage rise too high
	* radiant: fix finding the .mtl file for .obj models

2008-11-18 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: get rid of the MAX_MAP_DRAW_VERTS limit (the array already was
	  dynamic anyway); allows creating BSPs of over 400 MB in size ;)

2008-11-10 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: draw targeting arrows also for target2, etc. keys even in Q3
	  map mode; this is good for Nexuiz which now supports target, target2,
	  target3 and target4.

2008-11-07 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: fix buffer overruns because of using the realpath function
	  with an insufficient buffer; there might be more of these in the code
	  base

2008-10-27 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: -convert -format ase -shadersasbitmap convert mode that writes
	  the shader names in the *BITMAP field in the .ase. That way, the .ase
	  files work without changing as mapobjects.

2008-10-12 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: fix the deluxemap contribution from ambient lighting. minLight
	  is still broken with deluxemapping. If you must use minLight, combine it
	  with 1/2 or 1/4 of its amount in ambient.

2008-09-30 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: fix deluxemap when lit from the wrong side as good as possible
	  by ignoring the deluxemap contribution. Now the invariant "deluxemap
	  vector points away from the surface" should hold. Avoids sudden black
	  spots when deluxemapping.

2008-09-26 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: turn the Urban Terror vis nudge and triangle check into options
	  -extravisnudge and -trianglecheck, as they break some Nexuiz maps.
	  Evaluate the usefulness of these options later.
	* q3map2: make sure the intermediate .bsp when bouncing always is loadable
	  into the game (by unparsing the entities, so if gridsize got modified,
	  that change gets written too)

2008-09-23 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: print a warning if the specified samplesize cannot be used with
	  the current lightmap size

2008-09-22 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: add dotProduct2scale alphamod
	* q3map2: add -minsamplesize command line option to override lightmapscale
	  specified in map files

2008-09-19 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: add a "Strafe Mode" option
	* radiant: ctrl-tab now focuses all XYZ views in the three-part view (as
	  that is what the user is likely to want there)
	* radiant: make rotate/scale dialogs non-modal

2008-09-18 Rudolf Polzer divVerent(at)alientrap.org
	* radiant: handle missing anisotropy extension; fixes display bug on
	  Windows XP software renderer
	* radiant: make logging kick in earlier
	* radiant: add svn release to the version number

2008-09-15 Rudolf Polzer divVerent(at)alientrap.org
	* all: added a Makefile to build GtkRadiant; this replaces scons and
	  python install.py
	* all: got rid of libmhash dependency, using mdfour.c from DarkPlaces
	  instead
	* q2data: remove RSA security copyrighted md4.c, using mdfour.c from DP
	  instead as a drop-in replacement
	* all: get rid of version.h and aboutmsg.h, instead set the version in the
	  Makefile
	* all: support cross compiling using mingw32

2008-09-13 Rudolf Polzer divVerent(at)alientrap.org
	* q3map2: update to ZeroRadiant's q3map2
	* q3map2: added lightmap exposure feature: -exposure 4.2 (Urban Terror)
	* q3map2: check whether a lightmap sample is actually in the triangle
	  (Urban Terror)
	* q3map2: nudge light sample origin by 1qu away from planes (Urban Terror)
	* q3map2: floodlight: usage is "_floodlight" "red green blue distance
	  intensity", default "240 240 255 1024 128"; works somewhat similar to
	  dirtmapping (Urban Terror); uses a switch -lowquality
	* q3map2: added -debugnormals feature (Urban Terror)
	* q3map2: fix -convert -format map decompiling (note: outputs map in
	  "Alternate Texture Projection" format); no longer messes up texcoords
	* q3map2: added -game nexuiz to use good default paths for Nexuiz
	* q3map2: added -game quakelive to enable in-game adverts
	* q3map2: fix incorrect plane snapping often causing holes in terrain
	* q3map2: spawnflags on misc_model: 8 extrudes with original normals, 16
	  extrudes with up/down normals (terrain), default: extrudes with axial
	  normals (like before)
	* q3map2: fix obvious (and reported, and patch sent in) bug when importing
	  models when the normals were pointing in a 45 degrees direction
	* q3map2: when importing models, allow "surfaceparms structural". This
	  also turns off any plane snapping, as it is intended for caulk brushes
	  inside a model
	* q3map2: added parameters -ne to set normal epsilon, and -de to set
	  distance epsilon (to customize plane snapping)
	* q3map2: fix q3map_lightRGB (Urban Terror)
	* q3map2: add a build script to cross compile q3map2 to Win32
	* radiant: when displaying normals on a model, scale them to 8 unit size
	  on the output (so "modelscale" can be used without LOTS of lines on the
	  screen)
	* radiant: also support "killtarget" as target key for drawing the
	  targeting lines
	* radiant: "expand selection to whole entities" now also selects the
	  entity ITSELF; result: Ctrl-Alt-E Space makes a NEW entity now, instead of
	  just duplicating the brush (old behaviour caused bugs in maps with copied
	  func_ladders)
	* picomodel: support .obj format as exported by Blender, with a .mtl file
	  defining the shader names for each material; to export using Blender,
	  enable "Materials" and "Material Groups" in the .obj export dialog
	* all: bump version to 1.5.0-div0
